summaryrefslogtreecommitdiffstats
path: root/watchtestscripts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'watchtestscripts.sh')
-rwxr-xr-xwatchtestscripts.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/watchtestscripts.sh b/watchtestscripts.sh
new file mode 100755
index 000000000..2f6be079e
--- /dev/null
+++ b/watchtestscripts.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+trap exit SIGINT
+
+# I use "run tests on save" in my editor.
+# Unfortantly, changes to text files does not trigger this. Hence this workaround.
+while true; do find testscripts -type f -name "*.txt" | entr -pd touch main_test.go; done \ No newline at end of file